2017-12-12 10:00 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0012903Buildsyscommunity buildsyspublic2017-08-09 13:04
Reportertdawson 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Summary0012903: Need more cbs tags for SIG-PaaS
DescriptionHi,
We need some more tags setup in cbs.centos.org for the SIG-PaaS effort.

paas7-openshift-origin-13-{candidate,el7-build,release,testing}
paas7-openshift-origin-14-{candidate,el7-build,release,testing}
paas7-openshift-origin-15-{candidate,el7-build,release,testing}
paas7-openshift-origin-36-{candidate,el7-build,release,testing}

the targets would inherit their acl's from the sig-pass group in
Accounts.centos.org

These targets would not inherit packages from each other, or from paas7-openshift-common.

If you have any questions, please let me know

thanks
Troy Dawson
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0028708

alphacc (developer)

Hi Troy,

>These targets would not inherit packages from each other, or from paas7-openshift-common.

This would be a problem as it is in the base creation script and not an option at this time, may I ask why you do not want to inherit from paas7-openshift-common ?

--
Thomas

~0028710

tdawson (reporter)

We do not want to pull from common because each of these tags might have different build and release dependencies. Some need to be built with golang 1.7, some with golang 1.6, and some (eventually) with golang-1.8.
The same with the released packages.

But, if it needs to inherit common, then that is fine. I guess there are more supporting packages in common (python packages) than there are major packages (golang).

I will adjust the tags of those major packages to get things the way they need to be.

~0028769

kbsingh@karan.org (administrator)

On the automation/cbs content side - it might be ok to leave common included, Troy can just chose not to build anything to that tag. That would make things easier and keep them consistent on the SIG side, and Troy has the option, should be want it later on, to build common content.

Would that work ?

~0028770

alphacc (developer)

I think the issue exists because they already have some builds in there :

https://cbs.centos.org/koji/builds?tagID=705

~0028771

tdawson (reporter)

Although I do have some builds in there

A) Majority of those are "common", all those python rpms are not release dependent, and some of the others, like kompose, are also not release dependent.

B) The items that are not "common" (openshift-ansible, golang, etc...) I will untag from common, and re-tag into the appropriate versions. But I need the appropriate versions to get them moving.

So, for now, please just disregard my saying they do not inherit from paas7-openshift-common. Go ahead and let them inherit from there, and I will do various tag shuffling.

~0028772

alphacc (developer)

One more thing the format is :

<sig><MAJOR>-<project>-<release>

paas7-openshift-common
where common is the default.

But we didn't plan to have subrelease ; should we use origin13 as a project ?
paas7-openshift-origin13

Thomas

~0028773

tdawson (reporter)

I'm ok with origin13 origin14 ...etc.
Whatever fits, but is easy to determine what release it is.

~0028774

alphacc (developer)

Hi,

All targets are ready to use :

$ koji list-targets | grep origin
paas7-openshift-origin-el7 paas7-openshift-origin-el7-build paas7-openshift-origin-candidate
paas7-openshift-origin13-el7 paas7-openshift-origin13-el7-build paas7-openshift-origin13-candidate
paas7-openshift-origin14-el7 paas7-openshift-origin14-el7-build paas7-openshift-origin14-candidate
paas7-openshift-origin15-el7 paas7-openshift-origin15-el7-build paas7-openshift-origin15-candidate
paas7-openshift-origin36-el7 paas7-openshift-origin36-el7-build paas7-openshift-origin36-candidate


Let me know if there is some cleanup to do.

~0028775

tdawson (reporter)

I have tested tagging packages into candidate and testing for 13 and 14. They tag in ok and show up in cbs repos
https://cbs.centos.org/repos/paas7-openshift-origin14-testing/x86_64/os/Packages/

I don't see them yet in buildlogs testing repo yet, but sometimes that takes a little while.

I'll try a 1.5 build later today.

But so far, everything is looking good.

~0028869

tdawson (reporter)

I'm still not seeing any packages in the testing area.
https://buildlogs.centos.org/centos/7/paas/x86_64/

I only see them in the cbs testing area
https://cbs.centos.org/repos/paas7-openshift-origin14-testing/x86_64/os/Packages/

Does that need to be a different ticket?

~0029835

alphacc (developer)

Closing old tickets. Feel free to reopen if needed.
+Notes

-Issue History
Date Modified Username Field Change
2017-02-28 15:24 tdawson New Issue
2017-02-28 17:15 alphacc Note Added: 0028708
2017-02-28 17:45 tdawson Note Added: 0028710
2017-03-06 12:47 kbsingh@karan.org Note Added: 0028769
2017-03-06 13:07 alphacc Note Added: 0028770
2017-03-06 13:58 tdawson Note Added: 0028771
2017-03-06 14:04 alphacc Note Added: 0028772
2017-03-06 14:12 tdawson Note Added: 0028773
2017-03-06 15:53 alphacc Note Added: 0028774
2017-03-06 17:09 tdawson Note Added: 0028775
2017-03-15 16:58 tdawson Note Added: 0028869
2017-08-09 13:04 alphacc Status new => closed
2017-08-09 13:04 alphacc Resolution open => fixed
2017-08-09 13:04 alphacc Note Added: 0029835
+Issue History